<template>
  <div class="page-container">
    <md-app md-waterfall md-mode="fixed-last">
      <md-app-toolbar class="md-large md-dense md-primary">
        <div class="md-toolbar-row">
          <div class="md-toolbar-section-start">

            <span class="md-title">AGM Solutions</span>
          </div>

          <div class="md-toolbar-section-end">
            <md-button class="md-icon-button">
              <md-icon>more_vert</md-icon>
            </md-button>
          </div>
        </div>

        <div class="md-toolbar-row">
          <md-tabs class="md-primary" md-swipable>
            <md-tab v-for="view in views"
                    :key="view.path"
                    :to="'/home/' + view.path"
                    :id="'tab-' + view.path" :md-label="view.name" class="md-tab-text"></md-tab>
          </md-tabs>
        </div>
      </md-app-toolbar>

      <md-app-content>
        <router-view/>
      </md-app-content>
    </md-app>
  </div>
</template>

<script>
import axios from 'axios'
import {EventBus} from "@/main";
export default {
  name: "Home",
  data() {
    return {
      obj: null,
      views: [
        {
          path: 'clients',
          name: 'Clienti'
        },
        {
          path: 'candidates',
          name: 'Candidati'
        },
        {
          path: 'contacts',
          name: 'Contatti'
        },
        {
          path: 'employees',
          name: 'Dipendenti'
        },
        {
          path: 'projects',
          name: 'Progetti'
        },
        {
          path: 'researches',
          name: 'Ricerche'
        },
        {
          path: 'users',
          name: 'Utenti'
        },

      ]
    }
  },
  mounted() {
    axios.get('http://localhost:8080/employees')
    .then(response => this.obj = response.data)
    .catch(() => {
      let msg = 'ciao'
      EventBus.$emit('error', msg)

    })
  }
}
</script>

<style lang="scss" >

.page-container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 95%;
  width: 95%;
}
.my-link-active-class .md-button-content{
  color: white;
}
.md-button-content {
  color: #c7c7c7;
}

.md-app {
  height: 100%;
}
</style>